Page MenuHomePhabricator

Andre to provide "New Authors" data from Dec, Jan, Feb 2017-18 to Srishti in early March
Closed, ResolvedPublic

Description

To survey new developers for the third edition of the quarterly report > https://www.mediawiki.org/wiki/User:SSethi_(WMF)/Quarterly/2018-04.

Event Timeline

srishakatux triaged this task as Medium priority.Feb 23 2018, 10:32 AM
srishakatux created this task.

I requested updated data for early March in https://gitlab.com/Bitergia/c/Wikimedia/support/issues/23 (manual requesting needed until T151161 is resolved).

Aklapper raised the priority of this task from Medium to High.Mar 1 2018, 11:55 AM
Aklapper closed this task as Resolved.Mar 1 2018, 1:13 PM

DB index got updated by Jesus in https://gitlab.com/Bitergia/c/Wikimedia/support/issues/17#note_60596726 when working on T185316 hence I could proceed.

  • Exported the 57 names for that time frame from https://wikimedia.biterg.io/app/kibana#/dashboard/C_Gerrit_Demo
  • Manually excluded Pnorman and Vgutierrez and Bstorm and Tonina Zhelyazkova and Ebba Aniansson because [now] WMF/WMDE staff.
  • Manually excluded PortalsBuilder because bot.
  • Ran SELECT DISTINCT email FROM identities WHERE source = "gerrit" AND (name = "..." OR name = "..."); on a local DB dump (slightly outdated as the tool to update DB dumps has been broken since 20180218).
  • Manually looked up email addresses on gerrit.wikimedia.org for contributors listed on wikimedia.biterg.io after 20180218, as not in my DB dump (see above).
  • Cleaned output to remove duplicates (some users registered more than one email address on Gerrit).
  • Passed the 52 email addresses to Srishti. (Not sure why there is 1 more address than expected; 57 items - 6 exclusions = 51, but I don't care enough)

Closing as resolved.

Qgil awarded a token.Mar 2 2018, 9:01 AM